'VDISC1.BAS
'
'Controls a Pioneer CLD-V2400 Laserdisc Player
'
'For use with the "Uncertanties" videodisc
'
'This version loops the video without delay
'
'Assumes that player is set for powerup non-load  and
'1200 baud

SYMBOL txd = 0
SYMBOL rxd = 1
SYMBOL crx = 13
SYMBOL lfx = 10

SLEEP 20			'Give the player a chance to initialize
SEROUT txd,N1200,("SA",crx,lfx)	'Spin up the disc
SLEEP 20			'Wait for spinup
SEROUT txd,N1200,("LOSE",crx,lfx)	'Seek the lead out area to map the disc
SERIN rxd,N1200,("R")		'Wait for response from player

loop:
	SEROUT txd,N1200,("00001SE",crx,lfx)	'Seek frame 1
	SERIN rxd,N1200,("R")			'Wait for response
	SEROUT txd,N1200,("21050PL",crx,lfx)	'Play to frame 21050
	SERIN rxd,N1200,("R")			'Wait for response
	GOTO loop				'repeat forever

'Takes about 40% of stamp memory
