'VDISC2.BAS
'
'Controls a Pioneer CLD-V2400 Laserdisc Player
'
'For use with the "Uncertanties" videodisc
'
'This version uses the material from the start of the
'interactive portion to wait for a button press.
'
'Assumes that player is set for powerup non-load  and
'1200 baud

SYMBOL txd = 0
SYMBOL rxd = 1
SYMBOL crx = 13
SYMBOL btnpin = 2
SYMBOL btnled = 3

OUTPUT btnled
HIGH btnled
SLEEP 20			'Give the player a chance to initialize
SEROUT txd,N1200,("SA",crx)	'Spin up the disc
LOW btnled
SLEEP 20			'Wait for spinup
SEROUT txd,N1200,("LOSE",crx)	'Seek the lead out area to map the disc
SERIN rxd,N1200,("R")		'Wait for response from player

'debug stuff
GOTO setup
'end debug stuff

play:
debug cls,"Playing..."
	LOW btnled
	SEROUT txd,N1200,("1SE21050PL",crx)	'Seek frame 1, play to 21050
	SERIN rxd,N1200,("R")			'Wait for response

setup:
DEBUG cls,"Entered Setup..."
	SEROUT txd,N1200,("21100SE23194SMPL",crx)
				'Seek frame 21100, set stop at 23194,
				'Start the disc playing
	SERIN rxd,N1200,("R")			'Wait for response
	HIGH btnled

loop:
DEBUG cls,"Entered Loop...",cr
	BUTTON btnpin,0,255,0,B11,1,play
	SEROUT txd,N1200,("?P",crx)		'Quriy Player State
	SERIN rxd,N1200,("P0"),b1		'Wait for P0X, put X in b1
'more debug stuff
DEBUG b1
'end more debug stuff
	IF b1 = "4" THEN loop			'Play Mode
	IF b1 = "7" THEN loop			'Search Mode
	GOTO setup	


'I needed the debug hooks because i was using a IF b1 = 4 rather than "4"
'and it was bombing all over the place.  This version (once debugged) ran
'fine for a couple of hours until people started to complain about the 
'music in the intro piece.

'Took about 50% of stamp memory (by combining serial strings)

